curl --request GET \
--url 'https://api.fastforex.io/time-series?api_key='import requests
url = "https://api.fastforex.io/time-series?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fastforex.io/time-series?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start": "2021-01-24",
"end": "2021-01-30",
"interval": "P1D",
"base": "USD",
"results": {
"GBP": {
"2021-01-24": 1.14,
"2021-01-25": 1.14,
"2021-01-26": 1.15,
"2021-01-27": 1.16,
"2021-01-28": 1.14,
"2021-01-29": 1.13,
"2021-01-30": 1.14
}
}
}Exchange Rate Time-Series
Fetch a time-series dataset of daily currency exchange rates for the specified interval (only daily supported currently). See our FX quote & OHLC time-series endpoints for more granular data.
Authorizations
Query Parameters
Base currency 3-letter symbol, defaults to USD Three-letter ISO 4217 currency code
[A-Z]{3}Target currency 3-letter symbol Three-letter ISO 4217 currency code
[A-Z]{3}UTC start date in YYYY-MM-DD format. As far back as Jan 1970, depending on the currency pair. UTC/GMT date YYYY-MM-DD
[0-9]{4}-[0-9]{2}-[0-9]{2}UTC end date in YYYY-MM-DD format. As far back as Jan 1970, depending on the currency pair. UTC/GMT date YYYY-MM-DD
[0-9]{4}-[0-9]{2}-[0-9]{2}ISO8601 duration, such as P1D (daily). Defaults to P1D. Currently only supports daily. ISO8601 Duration. https://en.wikipedia.org/wiki/ISO_8601#Durations
Response
Success
UTC/GMT date YYYY-MM-DD
[0-9]{4}-[0-9]{2}-[0-9]{2}UTC/GMT date YYYY-MM-DD
[0-9]{4}-[0-9]{2}-[0-9]{2}ISO8601 Duration. https://en.wikipedia.org/wiki/ISO_8601#Durations
Three-letter ISO 4217 currency code
[A-Z]{3}Server response time in milliseconds
Show child attributes
Show child attributes